Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode.map
Class CompiledContextMappingFunction

    java.lang.Object
      com.saxonica.bytecode.map.CompiledContextMappingFunction

All Implemented Interfaces:
  ContextMappingFunction

    public abstract class CompiledContextMappingFunction

extends Object
implements ContextMappingFunction

Abstract ContextMappingFunction class that must be passed to a ContextMappingIterator. This is a specialization of the more general MappingFunction class: it differs in that each item being processed becomes the context item while it is being processed.

Constructor Summary
`CompiledContextMappingFunction()`

Method Summary
`abstract SequenceIterator` | `map(XPathContext context)` Map one item to a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompiledContextMappingFunction

    public CompiledContextMappingFunction()

Method Detail

### map

    public abstract SequenceIterator map(XPathContext context)
                                  throws XPathException

  Description copied from interface: `ContextMappingFunction`
  Map one item to a sequence.

  Specified by:
    `map` in interface `ContextMappingFunction`
  Parameters:
    `context` - The processing context. The item to be mapped is the context item identified from this context: the values of position() and last() also relate to the set of items being mapped
  Returns:
    a SequenceIterator over the sequence of items that the supplied input item maps to
  Throws:
    `XPathException` - if a dynamic error is detected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.